> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all analytics views

> Get the details for the analytics views set up in the portal.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['business-intelligence']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/reporting-v2.json GET /analytics/v2/views
openapi: 3.0.0
info:
  title: Reporting API v2
  version: 2.0.0
  description: >-
    Use the reporting API to export analytics and reporting data from HubSpot.
    Primarily used for connecting HubSpot metrics to metrics stored in other
    business intelligence tools.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /analytics/v2/views:
    get:
      summary: Get all analytics views
      description: Get the details for the analytics views set up in the portal.
      operationId: getAnalyticsViews
      responses:
        '200':
          description: Analytics views retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AnalyticsView'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AnalyticsView:
      type: object
      properties:
        id:
          type: integer
          description: The view ID
        title:
          type: string
          description: The view title
        updaterId:
          type: integer
          description: The ID of the user who last updated the view
        updatedDate:
          type: string
          description: The date the view was last updated
        creatorId:
          type: integer
          description: The ID of the user who created the view
        createdAt:
          type: integer
          format: int64
          description: The timestamp when the view was created
        deletedAt:
          type: integer
          format: int64
          description: The timestamp when the view was deleted
        containsLegacyReportProperties:
          type: boolean
          description: Whether the view contains legacy report properties
        reportPropertyFilters:
          type: array
          items:
            $ref: '#/components/schemas/ReportPropertyFilter'
      required:
        - id
        - title
    Error:
      type: object
      properties:
        category:
          type: string
          description: The error category
        correlationId:
          type: string
          description: A unique identifier for the request
        message:
          type: string
          description: A human readable message describing the error
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        errors:
          type: array
          description: Further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        context:
          type: object
          description: Context about the error condition
        links:
          type: object
          description: A map of link names to associated URIs
      required:
        - category
        - correlationId
        - message
    ReportPropertyFilter:
      type: object
      properties:
        op:
          type: string
          description: The filter operation
        args:
          type: array
          items:
            type: string
          description: The filter arguments
        prop:
          type: string
          description: The property to filter on
      required:
        - op
        - args
        - prop
    ErrorDetail:
      type: object
      properties:
        message:
          type: string
          description: A human readable message describing the error
        in:
          type: string
          description: The name of the field or parameter in which the error was found
        code:
          type: string
          description: The status code associated with the error detail
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        context:
          type: object
          description: Context about the error condition
      required:
        - message

````